### Enumeration

# Gtk SelectionMode

#### Declaration

    enum Gtk.SelectionMode

#### Description [src]

Used to control what selections users are allowed to make.

#### Members

`GTK_SELECTION_NONE`

  No selection is possible.

  - Value: `0`
  - Available since: 4.0
`GTK_SELECTION_SINGLE`

  Zero or one element may be selected.

  - Value: `1`
  - Available since: 4.0
`GTK_SELECTION_BROWSE`

  Exactly one element is selected. In some circumstances, such as initially or during a search operation, it’s possible for no element to be selected with `GTK_SELECTION_BROWSE`. What is really enforced is that the user can’t deselect a currently selected element except by selecting another element.

  - Value: `2`
  - Available since: 4.0
`GTK_SELECTION_MULTIPLE`

  Any number of elements may be selected. The Ctrl key may be used to enlarge the selection, and Shift key to select between the focus and the child pointed to. Some widgets may also allow Click-drag to select a range of elements.

  - Value: `3`
  - Available since: 4.0